2012.12.17

WordPressのバージョンを削除する

WordPressでサイトを制作している場合、<head>~</head>内にデフォルトでWordPressのバージョンが挿入されます。

<meta name=”generator” content=”WordPress 3.4.1″ />

このバージョンが見えてしまうのは、セキュリティ上危険なので非表示に・・・と、言いたいところなのですが。

ハッカーやクラッカーが攻撃するサイトを手作業で探していた昔は効果があったかもしれないですが、今はそんな真似しなくてもツール等を使って無差別に攻撃をしかけているようですので、これでセキュリティ向上!( ゚д゚ )・・・しているかは疑問と言われてます。

今回は、一応知識としてここに書いておきます。

 

WordPressのバージョンを削除する

functions.phpに以下のコードを貼り付け!

//wordpressのバージョンを消す
remove_action('wp_head','wp_generator');